ru.bitel.bgbilling.modules.agr.server.bean

## Enum AGRAction

- java.lang.Object
- - java.lang.Enum<AGRAction>
  - - ru.bitel.bgbilling.modules.agr.server.bean.AGRAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AGRAction>

      public enum AGRAction
      extends java.lang.Enum<AGRAction>

  Перечисление с действиями, доступными для вызова со стороны AGR

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL` Отмена платежа
    `INFO` Получения справочной информации
    `NOTIFY` Уведомление о статусе платежа
    `PAY` Проверка и завершение платежа
    `STATEMENT` Отчет о платежах
    `UNKNOWN` Неизвестный тип действия. когда не удалось распарсить

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AGRAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AGRAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final AGRAction INFO

      Получения справочной информации

    - #### PAY

          public static final AGRAction PAY

      Проверка и завершение платежа

    - #### NOTIFY

          public static final AGRAction NOTIFY

      Уведомление о статусе платежа

    - #### CANCEL

          public static final AGRAction CANCEL

      Отмена платежа

    - #### STATEMENT

          public static final AGRAction STATEMENT

      Отчет о платежах

    - #### UNKNOWN

          public static final AGRAction UNKNOWN

      Неизвестный тип действия. когда не удалось распарсить

  - ### Method Detail

    - #### values

          public static AGRAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AGRAction c : AGRAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AGRAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null